package com.smith9.geiger.client

import groovy.xml.MarkupBuilder

import com.smith9.geiger.client.beans.Stat
import com.smith9.geiger.client.beans.Duration
import org.joda.time.format.ISODateTimeFormat

/**
 * Created: 7/03/12
 * @author david
 */
class DurationLoaderConverter implements LoaderConverter {
    String toXml(List<Stat> stats) {
        StringWriter writer = new StringWriter()
        new DurationConverter().toXml(stats, writer)
        return writer.toString()
    }

    String getLoadMethod() {
        return "duration"
    }
}
